Tutorial Framework
==================

## Frontend dependencies

These aren't checked in, until the preferred method of dependency management is decided. Until then, they can be
downloaded from the following locations:

* [jQuery](https://jquery.com/download/)
* [Bootstrap](https://getbootstrap.com/docs/4.0/getting-started/download/)
* [Popper.js](https://github.com/FezVrasta/popper.js#installation)
* [Highlight.js](https://highlightjs.org/download/)
* [Showdown](https://github.com/showdownjs/showdown/releases)

## Building and running with Docker

Simply issue `docker build .` in the root of the project. The first build could take a while as it's compiling a fresh
Python package from source. Subsequent builds can reuse this layer, so their execution time is significantly shorter.

Run with `docker run -p 4242:4242 <id>` to bind the container's port to localhost.

## Running locally

Open two terminals in the project root.

Issue 
```
cd src/app/
PYTHONPATH="../../lib/" python app.py
```
in one, and 
```
cd src/components/
PYTHONPATH="../../lib/" python event_handler_example.py
```
in the other.
