from transitions import Machine

import event_handler_connector

class Buttons:
    states = ['A', 'B', 'C']
    transitions = [
        {'trigger': 'anchor_a', 'source': 'A', 'dest': 'B'},
        {'trigger': 'anchor_b', 'source': 'B', 'dest': 'C'},
        {'trigger': 'anchor_c', 'source': 'C', 'dest': 'A'},
    ]

    def __init__(self):
        self.machine = Machine(model=self,
                               states=Buttons.states,
                               transitions=Buttons.transitions,
                               initial='A',
                               send_event=True,
                               ignore_invalid_triggers=True,
                               after_state_change='forward_message')

    def forward_message(self, event_data):
        message = event_data.kwargs.get('message')
        event_handler_connector.send_message(message)


fsm = Buttons()