import json

from tornado.web import RequestHandler, MissingArgumentError

# from buttons import fsm
from sql_injection_fsm import fsm


class LoginWebappHandler(RequestHandler):
    anchor_id = 'anchor_login'

    def get(self, *args, **kwargs):
        self.render('login.html', anchor_id=self.anchor_id, form_data=(
            ('email', 'email_input', 'Email address', 'Enter email'),
            ('password', 'password_input', 'Password', 'Password'),
        ))

    def post(self, *args, **kwargs):
        try:
            message = {
                'anchor': self.anchor_id,
                'data': {k: self.get_body_argument(k) for k in ('email', 'password')}
            }
            fsm.trigger(self.anchor_id, message=json.dumps(message))
        except MissingArgumentError:
            self.write_error(status_code=400, message='Incomplete request')
        # TODO: return real data if not in a tutorial
